<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 20/04/20
 * Time: 11.57
 */

namespace FiloBlu\Rma\Block\Returns;
use Exception;
use Magento\ConfigurableProduct\Model\Product\Type\Configurable;
use Magento\Eav\Model\Config;
use Magento\Eav\Model\Form\Factory;
use Magento\Framework\App\ProductMetadataInterface;
use FiloBlu\Rma\Helper\EasyReturnHelper;
use Magento\Framework\Data\Collection\ModelFactory;
use Magento\Framework\Registry;
use Magento\Framework\View\Element\Template\Context;
use Magento\Rma\Helper\Data;
use Magento\Rma\Model\Item\FormFactory;
use Magento\Rma\Model\ItemFactory;
use Magento\Sales\Api\Data\OrderInterface;
use Magento\Sales\Model\Order\Address\Renderer;
use Magento\Store\Model\ScopeInterface;
use Throwable;

class Form extends \Magento\Rma\Block\Returns\Create
{

    /**
     * @param null $storeId
     * @return bool
     */
    public function isRegionRequired(OrderInterface $order ){
        $storeId = $this->_storeManager->getStore()->getId();
        $country = $this->_scopeConfig->getValue('general/region/state_required', ScopeInterface::SCOPE_STORE, $storeId) ?? '';
        $myCountry = $order->getShippingAddress()->getCountryId();

        if ($country != ''){
            if (in_array($myCountry, explode(',', $country))){
                return true ;
            }
        }
        return false;
    }


}